@charset "utf-8";

html { scroll-behavior: smooth; }
#globalMain, #globalContents{ overflow: visible; }
#globalWrapper { box-sizing: border-box; }


/* Variables & Setup -------------------- */
:root {
  scroll-padding: 100px;
}


.pt-container {
  container-type: inline-size;
  container-name: pt-container;
  --color-orange:#de800a;
}

.pt-wrapper {
  container-type: inline-size;
  container-name: pt-wrapper;
  font-size:16px;
  line-height:1.7;
}

.pt-wrapper img {
  height: auto;
  max-width: 100%;
  object-fit: contain;
  vertical-align: bottom;
}

.pt-top {
  margin: 2em auto 2em;
  aspect-ratio: 1600/899;
}

.pt-top iframe {
  width:100%;
  height:100%;
  vertical-align: bottom;
}

.pt-wrapper * { box-sizing: border-box; }

.pt-wrapper section > h2{
  text-align: center;
  font-size: 30px;
  font-weight: bold;
  font-family: arial;
  margin: 1.6em 0 1.5em;
  line-height: 1.4;
  display: grid;
  gap: 5px;
  border-top: 1px dotted #ffa600;
  padding-top: 1.2em;
  color: #8b5b00;
}

.pt-wrapper h2 span {
  text-align:center;
  font-size: 18px;
  color: #363636;
}

.pt-header figure {
  width: 260px;
}

.pt-header ul {
  display:flex;
  gap:15px;
}

.pt-header ul li a {
  color:black;
  font-weight: bold;
  font-size: 15px;
}

.pt-products > ul {
    --gap:20px;
    gap: var(--gap);
    margin-bottom: 3em;
    flex-wrap: wrap;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

.pt-products > ul > li {
  display: flex;
  flex-direction: column;
  background: whitesmoke;
  padding: 20px;
}

.pt-products > ul > li h3 {
  text-align:center;
  font-size: 18px;
  font-weight: bold;
  margin: 0em 0 1em;
}

.pt-products > ul > li > div:nth-of-type(1) {
  text-align:center;
  padding: 10px;
  background: white;
  margin-bottom: 1em;
}

.pt-products > ul > li > div:nth-of-type(1) + p {
  font-weight:bold;
  margin:.5em 0;
  text-align:center;
}

.pt-products > ul > li > p:nth-last-of-type(1) {
  margin-bottom:1em;
}

.pt-products > ul > li img {
  height: 210px;
  max-width: 300px;
  width: 100%;
}

a.pt-lineup {
    color: var(--color-orange);
    border: 2px solid var(--color-orange);
    display: block;
    margin: auto auto 0;
    padding: 5px 15px;
    font-weight: bold;
    transition:.4s;
  &:hover {
    background: var(--color-orange);
    color:white;
    text-decoration:none;
  }
}

.pt-recommended-items > h3 {
  font-weight: bold;
  margin-bottom:1em;
  text-align: center;
  font-size: 18px;
  color: #363636;
}

.pt-recommended-items > div {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
  margin-top: 60px;
}

.pt-recommended-items > div > div {
  text-align:center;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  border: 1px solid #818181;
  padding: 10px 10px 25px;
  border-radius: 30px;
  position:relative;
}

.pt-recommended-items > div > div:after {
  content:"";
  background:url(../img/icon_recommended.png) center / 100% no-repeat;
  width: 90px;
  height:auto;
  aspect-ratio:200/155;
  position:absolute;
  top: -39px;
  left: -10px;
}

.pt-recommended-items > div > div > div:first-child {
  display: grid;
  place-items: center;
  aspect-ratio: 1/1;
  margin-bottom:1em;
  background: white;
  padding: 15px;
}

.pt-recommended-items > div > div > p {
  margin-bottom: 0.8em;
  margin-top: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.pt-recommended-items > div > div > p span {
  display:inline-block;
}

.pt-category ul {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 13px;
}

.pt-about {
  margin-top: 50px;
}

.pt-about > div:first-child {
  background: whitesmoke;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  padding: 30px 30px 30px 50px;
  width: 100%;
}

.pt-about > div:first-child > div:first-child {
  flex:1;
  word-break: auto-phrase;
}

.pt-about > div:first-child > div:first-child h2 {
  font-weight:bold;
  font-size:24px;
  display:flex;
  justify-content: center;
  align-items: flex-start;
  gap: 20px;
  margin-bottom: 1em;
}

.pt-about > div:first-child > div:first-child h2 img {
  height:30px;
}

.pt-about > div:first-child > div:last-child {
  width: 320px;
}

.pt-about > div:first-child > div:first-child a {
    color: var(--color-orange);
    border: 2px solid var(--color-orange);
    display: block;
    max-width: 400px;
    margin: 35px auto 20px;
    text-align: center;
    padding: 5px 15px;
    font-weight: bold;
    transition:.4s;
  &:hover {
    background: var(--color-orange);
    color:white;
    text-decoration:none;
  }
}


/*========================= */


.pt-wrapper *:is(.pt-carousel) .swiper-slide a:link,
.pt-wrapper *:is(.pt-carousel) .swiper-slide a:visited {
  color: black;
}

li a.pt-movie {
  display: block;
  position: relative;
}

li a.pt-movie::after {
  position: absolute;
  display: block;
  content: "";
  width: 100%;
  height: 0;
  padding-top: 56.25%;
  top: 0;
  left: 0;
  background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" height="100%" version="1.1" viewBox="0 0 68 48" width="100%" fill="%23ffffff"><path d="M66.52,7.74c-0.78-2.93-2.49-5.41-5.42-6.19C55.79,.13,34,0,34,0S12.21,.13,6.9,1.55 C3.97,2.33,2.27,4.81,1.48,7.74C0.06,13.05,0,24,0,24s0.06,10.95,1.48,16.26c0.78,2.93,2.49,5.41,5.42,6.19 C12.21,47.87,34,48,34,48s21.79-0.13,27.1-1.55c2.93-0.78,4.64-3.26,5.42-6.19C67.94,34.95,68,24,68,24S67.94,13.05,66.52,7.74z" fill="%23f00"></path><path d="M 45,24 27,14 27,34" fill="%23fff"></path></svg>') no-repeat center center;
  background-size: 25%;
}

.swiper-slide img {
    width: 100%;
}

.swiper-slide p {
  margin-top: .5em;
  text-align: center;
  word-break:auto-phrase;
}


/*========================= */

.pt-container .pt-header{
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 10px;
  margin-top: 1rem;
  font-size: 14px;
  position: sticky;
  top: 63px;
  left: 0;
  z-index: 2;
  background-color: #fff;
  flex-wrap: wrap;
  gap: 15px;
}

@media (min-width: 900px) {
  .swiper-sp .swiper-wrapper {
    display: flex;
    gap: 32px;
  }
  .swiper-sp .swiper-slide {
    width: calc((100% - 32px*3) / 4);
  }
  .swiper-sp *:is(.swiper-button-prev, .swiper-button-next) {
  display:none;
  }
}

@container pt-container (max-width: 700px){

  .pt-container .pt-header {
    flex-direction: column;
    padding: 30px 15px;
    height: auto;
    gap: 10px;
  }

  .pt-header div {
  width: 100%;
  }

  .pt-header ul {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin: 20px 0 0;
    gap: 20px;
  }

  .pt-feature li {
    font-size:12px;
  }

  .pt-top p {
    padding: 1.5em;
  }

  .pt-wrapper {
    font-size: 14px;
  }

  .pt-products > ul {
    margin: 15px;
    grid-template-columns: repeat(1, 1fr);
  }

  .pt-wrapper .pt-products > ul > li {
    width: 100%;
    max-width: none;
  }

  .pt-wrapper section > h2 {
    font-size: 24px;
    margin: 1.6em 0 1em;
  }

  .pt-note:before {
    display: none;
  }

  .pt-note {
    padding: 1.5em;
    margin: 3.5em 1.5em 1.5em;
  }

  .pt-note h3 {
    font-size: 1.1em;
  }

  .pt-note:after {
    top: -51px;
    left: 20px;
    right: 0;
    margin: auto;
    width: 85px;
    rotate: 0deg;
  }

  .swiper {
    padding: 0em 1.5em 0em;
  }

  .swiper + .swiper {
  margin-top:1em;
  }
  
  .pt-about > div:first-child {
    flex-direction: column;
    padding: 3.5em 1.5em 1.5em;
  }

  .pt-about > div:first-child > div:first-child h2 {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 11px;
    font-weight: bold;
    margin-bottom: 1em;
  }

  .productall-link img {
    width: 200px;
  }

  .productall-link {
    text-align: center;
  }

  .pt-about > div:first-child > div:first-child h2 img {
    height: 25px;
  }
  .pt-wrapper h2 span {
    font-size: 14px;
    word-break: auto-phrase;
    margin: 0 10px;
    line-height: 1.7;
  }

  .pt-category ul {
    grid-template-columns: repeat(2, 1fr);
  }

  .pt-recommended-items > div {
    margin: 15px;
    grid-template-columns: repeat(2, 1fr);
    gap: 24px 15px;
  }
  .pt-recommended-items > h3 {
    margin: 2em 0 2em;
  }
  
  .pt-recommended-items > div > div:after {
    width: 65px;
    top: -20px;
  }
  .pt-products > ul > li h3 {
    margin-bottom: 0.8em;
  }

}
